Index: testsuites/automake/compile.am
===================================================================
--- testsuites/automake/compile.am	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/automake/compile.am	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -4,5 +4,5 @@
 
 ## -------------------------------------------------------------------------
-## NOTE: This file is rather immature and has to be considered to be 
+## NOTE: This file is rather immature and has to be considered to be
 ## almost experimental.
 ##
@@ -13,5 +13,5 @@
 ## used in former versions of RTEMS.
 
-## 
+##
 ## Set up the flags for the toolchains:
 ##
@@ -25,8 +25,8 @@
 ## RTEMS_USE_GCC     .. if we are using GCC
 
-## NOTES: 
+## NOTES:
 ## * The gcc-2.8 building scheme is the nominal building scheme and
 ##   is actively supported.
-## * The non-gcc building scheme requires manually setting up environment 
+## * The non-gcc building scheme requires manually setting up environment
 ##   variables and is hardly tested at all
 
@@ -34,8 +34,8 @@
 ## would want the corresponding macros to be set to.
 ##
-## CFLAGS_OPTIMIZE, CFLAGS_DEBUG are set by the 
+## CFLAGS_OPTIMIZE, CFLAGS_DEBUG are set by the
 ## 'VARIANT=<OPTIMIZE|DEBUG>' targets to their _V values.
 
-## XCPPFLAGS, XCFLAGS, XCXXFLAGS, XASFLAGS 
+## XCPPFLAGS, XCFLAGS, XCXXFLAGS, XASFLAGS
 ## are used to add flags from the shell
 ## cf. make.info ("Implicit rules/variables" for details)
@@ -128,5 +128,5 @@
 	mv $(DEPEND).tmp $(DEPEND)
 
-# pull in dependencies if they exist  
+# pull in dependencies if they exist
 ifeq (${DEPEND},$(wildcard ${DEPEND}))
 include ${DEPEND}
Index: testsuites/automake/host.am
===================================================================
--- testsuites/automake/host.am	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/automake/host.am	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -1,7 +1,7 @@
 ## $Id$
 
-## NOTE: This is a temporary work-around to keep 
+## NOTE: This is a temporary work-around to keep
 ## RTEMS's non automake standard make targets working.
-## Once automake is fully integrated these make targets 
+## Once automake is fully integrated these make targets
 ## and this file will probably be removed
 
Index: testsuites/automake/leaf.am
===================================================================
--- testsuites/automake/leaf.am	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/automake/leaf.am	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -14,3 +14,2 @@
 endef
 @ENDIF@
-
Index: testsuites/automake/subdirs.am
===================================================================
--- testsuites/automake/subdirs.am	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/automake/subdirs.am	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -1,9 +1,9 @@
 ## $Id$
 
-## Borrowed from automake-1.4 and adapted to RTEMS 
+## Borrowed from automake-1.4 and adapted to RTEMS
 
-## NOTE: This is a temporary work-around to keep 
+## NOTE: This is a temporary work-around to keep
 ## RTEMS's non automake standard make targets working.
-## Once automake is fully integrated these make targets 
+## Once automake is fully integrated these make targets
 ## and this file will probably be removed
 
Index: testsuites/libtests/cpuuse/init.c
===================================================================
--- testsuites/libtests/cpuuse/init.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/libtests/cpuuse/init.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -1,3 +1,3 @@
-/*  
+/*
  *  This is a clone of sp04 which has been modified to use the cpu monitoring
  *  library.
Index: testsuites/libtests/cpuuse/system.h
===================================================================
--- testsuites/libtests/cpuuse/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/libtests/cpuuse/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -25,13 +25,13 @@
   rtems_task_argument argument
 );
- 
+
 rtems_task Task_2(
   rtems_task_argument argument
 );
- 
+
 rtems_task Task_3(
   rtems_task_argument argument
 );
- 
+
 void Task_switch(
   rtems_tcb *unused,
@@ -61,7 +61,7 @@
 TEST_EXTERN rtems_id   Extension_id[ 4 ];
 TEST_EXTERN rtems_name Extension_name[ 4 ];  /* array of task names */
- 
+
 /* array of task run counts */
-TEST_EXTERN volatile uint32_t   Run_count[ 4 ];  
+TEST_EXTERN volatile uint32_t   Run_count[ 4 ];
 
 /*
@@ -78,4 +78,4 @@
 volatile extern int testsFinished;
 
- 
+
 /* end of include file */
Index: testsuites/libtests/cpuuse/tswitch.c
===================================================================
--- testsuites/libtests/cpuuse/tswitch.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/libtests/cpuuse/tswitch.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -27,5 +27,5 @@
 volatile int testsFinished;;
 
-rtems_extension Task_switch( 
+rtems_extension Task_switch(
   rtems_tcb *unused,
   rtems_tcb *heir
Index: testsuites/libtests/monitor/init.c
===================================================================
--- testsuites/libtests/monitor/init.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/libtests/monitor/init.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -2,5 +2,5 @@
  *  This is a simple test whose only purpose is to start the Monitor
  *  task.  The Monitor task can be used to obtain information about
- *  a variety of RTEMS objects.  
+ *  a variety of RTEMS objects.
  *
  *  COPYRIGHT (c) 1989-1999.
Index: testsuites/libtests/monitor/system.h
===================================================================
--- testsuites/libtests/monitor/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/libtests/monitor/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -27,11 +27,11 @@
   rtems_task_argument argument
 );
- 
+
 rtems_task Task_1_through_5(
   rtems_task_argument argument
 );
- 
+
 void Get_all_counters( void );
- 
+
 /* configuration information */
 
Index: testsuites/libtests/rtems++/System.h
===================================================================
--- testsuites/libtests/rtems++/System.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/libtests/rtems++/System.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -23,5 +23,5 @@
 
 extern "C"
-{  
+{
   rtems_task Init(
     rtems_task_argument argument
@@ -38,5 +38,5 @@
 {
   void print_mode(rtems_mode mode, rtems_mode mask);
-  
+
   void screen1(void);
   void screen2(void);
@@ -60,5 +60,5 @@
   virtual void body(rtems_task_argument argument);
 
-public:  
+public:
   Task2(const char* name,
         const rtems_task_priority initial_priority,
@@ -74,5 +74,5 @@
   virtual void body(rtems_task_argument argument);
 
-public:  
+public:
   Task3(const char* name,
         const rtems_task_priority initial_priority,
@@ -86,5 +86,5 @@
   virtual void body(rtems_task_argument argument);
 
-public:  
+public:
   EndTask(const char* name,
           const rtems_task_priority initial_priority,
@@ -127,5 +127,5 @@
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-#define CONFIGURE_INIT_TASK_STACK_SIZE      (4 * RTEMS_MINIMUM_STACK_SIZE) 
+#define CONFIGURE_INIT_TASK_STACK_SIZE      (4 * RTEMS_MINIMUM_STACK_SIZE)
 
 #define CONFIGURE_EXTRA_TASK_STACKS         (3 * RTEMS_MINIMUM_STACK_SIZE)
Index: testsuites/libtests/rtmonuse/system.h
===================================================================
--- testsuites/libtests/rtmonuse/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/libtests/rtmonuse/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -27,11 +27,11 @@
   rtems_task_argument argument
 );
- 
+
 rtems_task Task_1_through_5(
   rtems_task_argument argument
 );
- 
+
 void Get_all_counters( void );
- 
+
 /* configuration information */
 
Index: testsuites/libtests/termios/init.c
===================================================================
--- testsuites/libtests/termios/init.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/libtests/termios/init.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -1,5 +1,5 @@
 /*
  * RTEMS configuration/initialization
- * 
+ *
  * This program may be distributed and used for any purpose.
  * I ask only that you:
@@ -12,5 +12,5 @@
  * Saskatoon, Saskatchewan, CANADA
  * eric@skatter.usask.ca
- * 
+ *
  * Additions:
  * Charles-Antoine Gauthier
@@ -104,23 +104,23 @@
   if( tp->c_oflag & OPOST )
     printf( "OPOST " );
-    
+
   if( tp->c_oflag & OLCUC )
     printf( "OLCUC " );
-    
+
   if( tp->c_oflag & ONLCR )
     printf( "ONLCR " );
-    
+
   if( tp->c_oflag & OCRNL )
     printf( "OCRNL " );
-    
+
   if( tp->c_oflag & ONOCR )
     printf( "ONOCR " );
-    
+
   if( tp->c_oflag & ONLRET )
     printf( "ONLRET " );
-    
+
   if( tp->c_oflag & OFILL )
     printf( "OFILL " );
-    
+
   if( tp->c_oflag & OFDEL )
     printf( "OFDEL " );
@@ -130,71 +130,71 @@
       printf( "NL0 " );
       break;
-      
+
     case NL1:
       printf( "NL1 " );
       break;
   }
-  
+
   switch( tp->c_oflag & CRDLY ) {
     case CR0:
       printf( "CR0 " );
       break;
-      
+
     case CR1:
       printf( "CR1 " );
       break;
-      
+
     case CR2:
       printf( "CR2 " );
       break;
-      
+
     case CR3:
       printf( "CR3 " );
       break;
   }
-  
+
   switch( tp->c_oflag & TABDLY ) {
     case TAB0:
       printf( "TAB0 " );
       break;
-      
+
     case TAB1:
       printf( "TAB1 " );
       break;
-      
+
     case TAB2:
       printf( "TAB2 " );
       break;
-      
+
     case TAB3:
       printf( "TAB3 " );
       break;
   }
-  
+
   switch( tp->c_oflag & BSDLY ) {
     case BS0:
       printf( "BS0 " );
       break;
-      
+
     case BS1:
       printf( "BS1 " );
       break;
   }
-  
+
   switch( tp->c_oflag & VTDLY ) {
     case VT0:
       printf( "VT0 " );
       break;
-      
+
     case VT1:
       printf( "VT1 " );
       break;
   }
-  
+
   switch( tp->c_oflag & FFDLY ) {
     case FF0:
       printf( "FF0" );
       break;
-      
+
     case FF1:
       printf( "FF1" );
@@ -230,5 +230,5 @@
     "unknown",     /* 4000000 */
   };
-  
+
   printf( "c_lflag = 0x%08x\n\t", tp->c_lflag );
   print_32bits( tp->c_lflag, sizeof( c_lflag_bits )/sizeof( char * ), c_lflag_bits );
@@ -240,9 +240,9 @@
 {
   unsigned int baud;
-  
+
   printf( "c_cflag = 0x%08x\n", tp->c_cflag );
 
   baud = (tp->c_cflag & CBAUD) ;
-#if defined(__sh2__) 
+#if defined(__sh2__)
   if ( tp->c_cflag & CBAUDEX )
 #endif
@@ -251,68 +251,68 @@
       printf( "\tCBAUD =\tB0\n" );
       break;
-      
+
     case B50:
       printf( "\tCBAUD =\tB50\n" );
       break;
-      
+
     case B75:
       printf( "\tCBAUD =\tB75\n" );
       break;
-      
+
     case B110:
       printf( "\tCBAUD =\tB110\n" );
       break;
-      
+
     case B134:
       printf( "\tCBAUD =\tB134\n" );
       break;
-      
+
     case B150:
       printf( "\tCBAUD =\tB150\n" );
       break;
-      
+
     case B200:
       printf( "\tCBAUD =\tB200\n" );
       break;
-      
+
     case B300:
       printf( "\tCBAUD =\tB300\n" );
       break;
-      
+
     case B600:
       printf( "\tCBAUD =\tB600\n" );
       break;
-      
+
     case B1200:
       printf( "\tCBAUD =\tB1200\n" );
       break;
-      
+
     case B1800:
       printf( "\tCBAUD =\tB1800\n" );
       break;
-      
+
     case B2400:
       printf( "\tCBAUD =\tB2400\n" );
       break;
-      
+
     case B4800:
       printf( "\tCBAUD =\tB4800\n" );
       break;
-      
+
     case B9600:
       printf( "\tCBAUD =\tB9600\n" );
       break;
-      
+
     case B19200:
       printf( "\tCBAUD =\tB19200\n" );
       break;
-      
+
     case B38400:
       printf( "\tCBAUD =\tB38400\n" );
       break;
 #if defined(__sh2__)
-    } 
-    else 
-    switch ( baud ) 
+    }
+    else
+    switch ( baud )
     {
 #endif
@@ -320,17 +320,17 @@
       printf( "\tCBAUD =\tB57600\n" );
       break;
-      
+
     case B115200:
       printf( "\tCBAUD =\tB115200\n" );
       break;
-      
+
     case B230400:
       printf( "\tCBAUD =\tB230400\n" );
       break;
-      
+
     case B460800:
       printf( "\tCBAUD =\tB460800\n" );
       break;
-      
+
     default:
       printf( "\tCBAUD =\tunknown (0x%08x)\n", baud );
@@ -342,13 +342,13 @@
       printf( "\tCSIZE =\tCS5\n" );
       break;
-      
+
     case CS6:
       printf( "\tCSIZE =\tCS6\n" );
       break;
-      
+
     case CS7:
       printf( "\tCSIZE =\tCS7\n" );
       break;
-      
+
     case CS8:
       printf( "\tCSIZE =\tCS8\n" );
@@ -360,30 +360,30 @@
   else
     printf( "\tCSTOPB clear: send 1 stop bit\n" );
-  
+
   if( tp->c_cflag & PARENB )
     printf( "\tPARENB set: parity enabled\n" );
   else
     printf( "\tPARENB clear: parity disabled\n" );
-  
+
   if( tp->c_cflag & PARODD )
     printf( "\tPARODD set: parity odd\n" );
   else
     printf( "\tPARODD clear: parity even\n" );
-  
+
   if( tp->c_cflag & CREAD )
     printf( "\tCREAD set: receiver enabled\n" );
   else
     printf( "\tCREAD clear: treceiver disabled\n" );
-  
+
   if( tp->c_cflag & HUPCL )
     printf( "\tHUPCL set: enabled\n" );
   else
     printf( "\tHUPCL clear: disabled\n" );
-  
+
   if( tp->c_cflag & CLOCAL )
     printf( "\tCLOCAL set: ignore modem lines\n" );
   else
     printf( "\tCLOCAL clear: don't ignore modem lines\n" );
-  
+
 #if defined(CBAUDEX)
   if( tp->c_cflag & CBAUDEX )
@@ -392,5 +392,5 @@
     printf( "\tCBAUDEX clear: What does this do?\n" );
 #endif
-  
+
   if( tp->c_cflag & CRTSCTS )
     printf( "\tCRTSCTS: harware flow control enabled?\n" );
@@ -446,5 +446,5 @@
 {
   unsigned long baud_rate;
-  
+
   while( TRUE ) {
     printf( "Enter the numerical value for the new baud rate.\n" );
@@ -486,5 +486,5 @@
 {
   int parity;
-  
+
   while( TRUE ) {
     printf( "Enter the numerical value for the new parity\n" );
@@ -524,5 +524,5 @@
       case 1:
         return 0;
-        
+
       case 2:
         return CSTOPB;
@@ -549,11 +549,11 @@
       case 5:
         return CS5;
-        
+
       case 6:
         return CS6;
-        
+
       case 7:
         return CS7;
-        
+
       case 8:
         return CS8;
@@ -570,7 +570,7 @@
 {
   unsigned long baud_rate, parity, stop_bits, data_bits, sleep_time;
-    
+
   printf( "\nSetting line characteristics\n\n" );
-  
+
   baud_rate = get_baud_rate();
   parity = get_parity();
@@ -588,5 +588,5 @@
 
   sleep( sleep_time );
-  
+
   tp->c_cflag = CLOCAL | CREAD | parity | stop_bits | data_bits | baud_rate;
   if( tcsetattr( fileno( stdin ), TCSADRAIN, tp ) < 0 ) {
@@ -601,9 +601,9 @@
 {
   char c, first_time = TRUE;
-    
+
   printf( "\nTesting canonical input\n\n" );
 
   printf( "Setting line to canonical input mode.\n" );
-  tp->c_lflag = ISIG | ICANON | ECHO | ECHONL | ECHOK | ECHOE | ECHOPRT | ECHOCTL | IEXTEN; 
+  tp->c_lflag = ISIG | ICANON | ECHO | ECHONL | ECHOK | ECHOE | ECHOPRT | ECHOCTL | IEXTEN;
   tp->c_iflag = BRKINT | ICRNL | IXON | IMAXBEL;
   if( tcsetattr( fileno( stdin ), TCSADRAIN, tp ) < 0 ) {
@@ -611,5 +611,5 @@
     rtems_test_exit( 1 );
   }
-  
+
   while ( ( c = getchar () ) != '\n');
   printf( "Testing getchar(). Type some text followed by carriage return\n" );
@@ -640,5 +640,5 @@
 
   printf( "Raw input test with VMIN=%d  VTIME=%d\n", vmin, vtime );
-  
+
   rtems_clock_get( RTEMS_CLOCK_GET_TICKS_PER_SECOND, &ticksPerSecond );
   if ( tcgetattr( fileno ( stdin ), &old ) < 0 ) {
@@ -646,5 +646,5 @@
     return;
   }
-  
+
   new = old;
   new.c_lflag &= ~( ICANON | ECHO | ECHONL | ECHOK | ECHOE | ECHOPRT | ECHOCTL );
@@ -655,5 +655,5 @@
     return;
   }
-  
+
   do {
     rtems_clock_get( RTEMS_CLOCK_GET_TICKS_SINCE_BOOT, &then );
@@ -673,15 +673,15 @@
     printf( "Count:%-10lu  Interval:%3u.%3.3d  Char:",
           count, msec / 1000, msec % 1000 );
-          
+
     for( i = 0 ; i < nread ; i++ )
       printf (" 0x%2.2x", cbuf[i]);
     printf ("\n");
-    
+
   } while( cbuf[0] != 'q' );
-  
+
 out:
   if( tcsetattr( fileno( stdin ), TCSADRAIN, &old) < 0 )
     perror("do_raw_input(): tcsetattr() failed: %s\n" );
-    
+
   printf ("*** End of Raw input  VMIN=%d  VTIME=%d ***\n", vmin, vtime);
 }
@@ -697,5 +697,5 @@
   do_raw_input( 5, 0 );
   do_raw_input( 5, 20 );
-  
+
   printf( "\nRaw input test done.\n" );
 }
@@ -723,5 +723,5 @@
   char c ;
   struct termios orig_termios, test_termios;
-  
+
   printf( "\n\n*** TEST OF TERMIOS INPUT CAPABILITIES ***\n" );
 
@@ -771,5 +771,5 @@
       case '\n':
         break;
-          
+
       default:
         printf( "\n%c is not a valid choice. Try again\n\n", c );
Index: testsuites/mptests/mp01/system.h
===================================================================
--- testsuites/mptests/mp01/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp01/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -27,10 +27,10 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #define CONFIGURE_MAXIMUM_TASKS           4
 
Index: testsuites/mptests/mp02/system.h
===================================================================
--- testsuites/mptests/mp02/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp02/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -27,12 +27,12 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
 #define CONFIGURE_MAXIMUM_TASKS               2
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/mptests/mp03/system.h
===================================================================
--- testsuites/mptests/mp03/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp03/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -30,12 +30,12 @@
   void     *ignored_address
 );
- 
+
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #define CONFIGURE_MAXIMUM_TASKS               2
 #define CONFIGURE_MAXIMUM_TIMERS              1
@@ -52,7 +52,7 @@
 TEST_EXTERN rtems_id   Timer_id[ 2 ];    /* array of timer ids */
 TEST_EXTERN rtems_name Timer_name[ 2 ];  /* array of timer names */
- 
+
 TEST_EXTERN uint32_t    remote_node;
 TEST_EXTERN rtems_id          remote_tid;
- 
+
 /* end of include file */
Index: testsuites/mptests/mp04/system.h
===================================================================
--- testsuites/mptests/mp04/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp04/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -27,10 +27,10 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #define CONFIGURE_MAXIMUM_TASKS               2
 #define CONFIGURE_MAXIMUM_TIMERS              1
Index: testsuites/mptests/mp05/system.h
===================================================================
--- testsuites/mptests/mp05/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp05/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -29,10 +29,10 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #define CONFIGURE_MAXIMUM_TASKS               2
 #define CONFIGURE_MAXIMUM_TIMERS              1
@@ -51,7 +51,7 @@
 TEST_EXTERN rtems_id   Timer_id[ 2 ];    /* array of timer ids */
 TEST_EXTERN rtems_name Timer_name[ 2 ];  /* array of timer names */
- 
+
 TEST_EXTERN volatile rtems_boolean Stop_Test;
- 
+
 TEST_EXTERN uint32_t            remote_node;
 TEST_EXTERN rtems_id                  remote_tid;
@@ -60,4 +60,4 @@
 TEST_EXTERN volatile uint32_t   signal_count;
 TEST_EXTERN volatile uint32_t   signal_caught;
- 
+
 /* end of include file */
Index: testsuites/mptests/mp06/system.h
===================================================================
--- testsuites/mptests/mp06/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp06/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -27,10 +27,10 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #define CONFIGURE_MAXIMUM_TASKS               2
 #define CONFIGURE_MAXIMUM_TIMERS              1
@@ -47,5 +47,5 @@
 TEST_EXTERN rtems_id   Timer_id[ 4 ];     /* array of timer ids */
 TEST_EXTERN rtems_name Timer_name[ 4 ];   /* array of timer names */
- 
+
 TEST_EXTERN volatile rtems_boolean Stop_Test;
 
Index: testsuites/mptests/mp07/system.h
===================================================================
--- testsuites/mptests/mp07/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp07/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -27,10 +27,10 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #define CONFIGURE_MAXIMUM_TASKS               2
 #define CONFIGURE_MAXIMUM_TIMERS              1
@@ -47,5 +47,5 @@
 TEST_EXTERN rtems_id   Timer_id[ 4 ];     /* array of timer ids */
 TEST_EXTERN rtems_name Timer_name[ 4 ];   /* array of timer names */
- 
+
 TEST_EXTERN volatile rtems_boolean Stop_Test;
 
Index: testsuites/mptests/mp08/system.h
===================================================================
--- testsuites/mptests/mp08/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp08/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -27,10 +27,10 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #define CONFIGURE_MAXIMUM_TASKS               2
 #define CONFIGURE_MAXIMUM_TIMERS              1
Index: testsuites/mptests/mp09/system.h
===================================================================
--- testsuites/mptests/mp09/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp09/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -31,10 +31,10 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #define CONFIGURE_MAXIMUM_TASKS               2
 #define CONFIGURE_MAXIMUM_TIMERS              1
@@ -52,5 +52,5 @@
 TEST_EXTERN rtems_id   Queue_id[ 2 ];    /* array of message queue ids */
 TEST_EXTERN rtems_name Queue_name[ 2 ];  /* array of message queue names */
- 
+
 extern char buffer1[16];
 extern char buffer2[16];
Index: testsuites/mptests/mp10/system.h
===================================================================
--- testsuites/mptests/mp10/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp10/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -21,13 +21,13 @@
   rtems_task_argument argument
 );
- 
+
 rtems_task Test_task1(
   rtems_task_argument argument
 );
- 
+
 rtems_task Test_task2(
   rtems_task_argument argument
 );
- 
+
 rtems_task Test_task3(
   rtems_task_argument restart
@@ -35,10 +35,10 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #if ( NODE_NUMBER == 1 )
 #define CONFIGURE_MAXIMUM_TASKS               1
Index: testsuites/mptests/mp11/system.h
===================================================================
--- testsuites/mptests/mp11/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp11/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -23,7 +23,7 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
@@ -31,5 +31,5 @@
 #define CONFIGURE_MP_MAXIMUM_GLOBAL_OBJECTS     0
 #define CONFIGURE_MP_MAXIMUM_PROXIES            0
- 
+
 #define CONFIGURE_MAXIMUM_TASKS               1
 #if ( NODE_NUMBER == 1 )
@@ -50,5 +50,5 @@
 TEST_EXTERN rtems_id   Queue_id[ 2 ];       /* array of message queue ids */
 TEST_EXTERN rtems_name Queue_name[ 2 ];     /* array of message queue names */
- 
+
 TEST_EXTERN rtems_id   Semaphore_id[ 2 ];   /* array of semaphore ids */
 TEST_EXTERN rtems_name Semaphore_name[ 2 ]; /* array of semaphore names */
Index: testsuites/mptests/mp12/system.h
===================================================================
--- testsuites/mptests/mp12/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp12/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -25,7 +25,7 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MP_MAXIMUM_GLOBAL_OBJECTS     1
 #define CONFIGURE_MP_MAXIMUM_PROXIES            0
- 
+
 #define CONFIGURE_MAXIMUM_TASKS               1
 #if ( NODE_NUMBER == 1 )
Index: testsuites/mptests/mp13/system.h
===================================================================
--- testsuites/mptests/mp13/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp13/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -31,7 +31,7 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
@@ -54,5 +54,5 @@
 TEST_EXTERN rtems_id   Queue_id[ 2 ];       /* array of message queue ids */
 TEST_EXTERN rtems_name Queue_name[ 2 ];     /* array of message queue names */
- 
+
 TEST_EXTERN rtems_id   Semaphore_id[ 2 ];   /* array of semaphore ids */
 TEST_EXTERN rtems_name Semaphore_name[ 2 ]; /* array of semaphore names */
Index: testsuites/mptests/mp14/exit.c
===================================================================
--- testsuites/mptests/mp14/exit.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp14/exit.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -28,7 +28,7 @@
    * when our MPCI shuts down
    */
- 
+
   rtems_task_wake_after(20);
- 
+
   status = rtems_task_mode( RTEMS_NO_PREEMPT, RTEMS_PREEMPT_MASK, &old_mode );
   directive_failed( status, "rtems_task_mode" );
Index: testsuites/mptests/mp14/system.h
===================================================================
--- testsuites/mptests/mp14/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/mptests/mp14/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -50,10 +50,10 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #define CONFIGURE_TICKS_PER_TIMESLICE   1
 #define CONFIGURE_MICROSECONDS_PER_TICK RTEMS_MILLISECONDS_TO_MICROSECONDS(1)
Index: testsuites/samples/base_mp/system.h
===================================================================
--- testsuites/samples/base_mp/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/samples/base_mp/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -27,12 +27,12 @@
 
 /* configuration information */
- 
+
 #include <bsp.h> /* for device driver prototypes */
 
 #define CONFIGURE_MP_APPLICATION
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
- 
+
 #define CONFIGURE_MAXIMUM_TASKS           2
 
Index: testsuites/samples/fileio/init.c
===================================================================
--- testsuites/samples/fileio/init.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/samples/fileio/init.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -204,10 +204,10 @@
       }
     } while (n > 0);
-    
+
     rtems_clock_get (RTEMS_CLOCK_GET_TICKS_SINCE_BOOT, &curr_tick);
-    
+
     printf("\n ******** End of file reached, flen = %d\n",flen);
     close(fd);
-    
+
     rtems_clock_get(RTEMS_CLOCK_GET_TICKS_PER_SECOND, &ticks_per_sec);
     printf("time elapsed for read:  %g seconds\n",
@@ -263,9 +263,9 @@
   char *bufptr = NULL;
   boolean failed = FALSE;
-  static const char write_test_string[] = 
+  static const char write_test_string[] =
     "The quick brown fox jumps over the lazy dog\n";
-  static const char write_block_string[] = 
+  static const char write_block_string[] =
     "\n----- end of write buffer ------\n";
-  
+
   printf(" =========================\n");
   printf(" WRITE FILE ...           \n");
@@ -371,5 +371,5 @@
     rtems_clock_get (RTEMS_CLOCK_GET_TICKS_SINCE_BOOT, &start_tick);
     curr_pos = 0;
-    do {      
+    do {
       bytes_to_copy = buf_size;
       do {
@@ -423,5 +423,5 @@
   char *bufptr = NULL;
   boolean failed = FALSE;
-  
+
   printf(" =========================\n");
   printf(" READ FILE ...            \n");
@@ -490,5 +490,5 @@
     rtems_clock_get (RTEMS_CLOCK_GET_TICKS_SINCE_BOOT, &start_tick);
     curr_pos = 0;
-    do {      
+    do {
       n = read(fd,
 	       bufptr,
@@ -512,5 +512,5 @@
 	     ((double)curr_tick-start_tick)/ticks_per_sec);
       printf("read data rate: %g KBytes/second\n",
-	     (((double)curr_pos) / 1024.0 / 
+	     (((double)curr_pos) / 1024.0 /
 	      (((double)curr_tick-start_tick)/ticks_per_sec)));
     }
@@ -555,21 +555,21 @@
     switch (inbuf[0]) {
     case 'l':
-      fileio_list_file ();			
+      fileio_list_file ();
       break;
     case 'r':
-      fileio_read_file ();			
+      fileio_read_file ();
       break;
     case 'w':
-      fileio_write_file ();			
+      fileio_write_file ();
       break;
     case 'p':
-      fileio_part_table_initialize ();			
+      fileio_part_table_initialize ();
       break;
     case 'f':
-      fileio_fsmount ();			
+      fileio_fsmount ();
       break;
 #ifdef USE_SHELL
     case 's':
-      fileio_start_shell ();			
+      fileio_start_shell ();
       break;
 #endif
@@ -578,5 +578,5 @@
       break;
     }
-    
+
   }
   exit (0);
Index: testsuites/samples/fileio/system.h
===================================================================
--- testsuites/samples/fileio/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/samples/fileio/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -45,5 +45,5 @@
 	,IDE_CONTROLLER_DRIVER_TABLE_ENTRY
 	/* important: ATA driver must be after ide drivers */
-	,ATA_DRIVER_TABLE_ENTRY 
+	,ATA_DRIVER_TABLE_ENTRY
 #endif
 	};
Index: testsuites/samples/ticker/system.h
===================================================================
--- testsuites/samples/ticker/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/samples/ticker/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -30,5 +30,5 @@
 /*
  *  Keep the names and IDs in global variables so another task can use them.
- */ 
+ */
 
 extern rtems_id   Task_id[ 4 ];         /* array of task ids */
Index: testsuites/samples/unlimited/init.c
===================================================================
--- testsuites/samples/unlimited/init.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/samples/unlimited/init.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -41,8 +41,8 @@
 
   /* lower the task priority to allow created tasks to execute */
-  
+
   rtems_task_set_priority(RTEMS_SELF, 20, &old_priority);
   rtems_task_mode(RTEMS_PREEMPT,  RTEMS_PREEMPT_MASK, &old_mode);
-  
+
   printf( "\n*** UNLIMITED TASK TEST ***\n" );
 
@@ -50,5 +50,5 @@
    * Invalid state if the task id is 0
    */
-    
+
   for (task = 0; task < MAX_TASKS; task++)
     task_id[task] = 0;
@@ -57,5 +57,5 @@
   test2();
   test3();
-  
+
   printf( "\n*** END OF UNLIMITED TASK TEST ***\n" );
   exit( 0 );
@@ -67,9 +67,9 @@
 {
   rtems_event_set out;
-  
+
   printf( "task %i has started.\n",  my_number);
 
   rtems_event_receive(1, RTEMS_WAIT | RTEMS_EVENT_ANY, 0, &out);
-  
+
   printf( "task %i ending.\n",  my_number);
 
@@ -82,9 +82,9 @@
 {
   uint32_t   task;
-  
+
   /*
    *  If the id is not zero, signal the task to delete.
    */
-  
+
   for (task = 0; task < MAX_TASKS; task++)
     if (task_id[task])
@@ -104,13 +104,13 @@
   {
     printf("failure, ");
-    
+
     if (status_code == RTEMS_TOO_MANY)
     {
-      printf("too many.\n");     
+      printf("too many.\n");
       return TRUE;
     }
     if (status_code == RTEMS_UNSATISFIED)
     {
-      printf("unsatisfied.\n");     
+      printf("unsatisfied.\n");
       return TRUE;
     }
Index: testsuites/samples/unlimited/test1.c
===================================================================
--- testsuites/samples/unlimited/test1.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/samples/unlimited/test1.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -29,10 +29,10 @@
   uint32_t    task_count = 0;
   Objects_Information *the_information;
-  
+
   char              c1 = 'a';
   char              c2 = 'a';
   char              c3 = '0';
   char              c4 = '0';
-    
+
   printf( "\n TEST1 : auto-extend disabled.\n" );
 
@@ -42,9 +42,9 @@
    */
 
-  the_information = 
+  the_information =
     _Objects_Information_table[OBJECTS_CLASSIC_API][OBJECTS_RTEMS_TASKS];
   auto_extend = the_information->auto_extend;
   the_information->auto_extend = FALSE;
-  
+
   while (task_count < MAX_TASKS)
   {
@@ -52,5 +52,5 @@
 
     printf(" TEST1 : creating task '%c%c%c%c', ", c1, c2, c3, c4);
-    
+
     name = rtems_build_name(c1, c2, c3, c4);
 
@@ -64,21 +64,21 @@
     if (status_code_bad(result))
       break;
-    
+
     printf("number = %3i, id = %08x, starting, ", task_count, task_id[task_count]);
-    
+
     fflush(stdout);
     result = rtems_task_start(task_id[task_count],
                               test_task,
                               (rtems_task_argument) task_count);
-    
+
     if (status_code_bad(result))
       break;
-    
+
     /*
      *  Update the name.
      */
-    
+
     NEXT_TASK_NAME(c1, c2, c3, c4);
-    
+
     task_count++;
   }
@@ -86,5 +86,5 @@
   if (task_count >= MAX_TASKS)
     printf( "\nMAX_TASKS too small for work-space size, please make larger !!\n\n" );
-    
+
   if (task_count != (TASK_ALLOCATION_SIZE - 1)) {
     printf( " FAIL1 : the number of tasks does not equal the expected size -\n"
@@ -95,7 +95,7 @@
 
   destory_all_tasks("TEST1");
-  
+
   the_information->auto_extend = auto_extend;
-  
+
   printf( " TEST1 : completed\n" );
 }
Index: testsuites/samples/unlimited/test2.c
===================================================================
--- testsuites/samples/unlimited/test2.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/samples/unlimited/test2.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -33,10 +33,10 @@
   uint32_t      task_count = 0;
   rtems_id            removed_ids[TASK_ALLOCATION_SIZE * 2];
-  
+
   char               c1 = 'a';
   char               c2 = 'a';
   char               c3 = '0';
   char               c4 = '0';
-  
+
   printf( "\n TEST2 : re-allocate of index numbers, and a block free'ed and one inactive\n" );
 
@@ -45,5 +45,5 @@
    *  to count the Init task, ie ... - 1.
    */
-  
+
   while (task_count < ((TASK_ALLOCATION_SIZE * 5) - TASK_INDEX_OFFSET))
   {
@@ -51,5 +51,5 @@
 
     printf(" TEST2 : creating task '%c%c%c%c', ", c1, c2, c3, c4);
-    
+
     name = rtems_build_name(c1, c2, c3, c4);
 
@@ -63,21 +63,21 @@
     if (status_code_bad(result))
       break;
-    
+
     printf("number = %3i, id = %08x, starting, ", task_count, task_id[task_count]);
     fflush(stdout);
-    
+
     result = rtems_task_start(task_id[task_count],
                               test_task,
                               (rtems_task_argument) task_count);
-    
+
     if (status_code_bad(result))
       break;
-    
+
     /*
      *  Update the name.
      */
-    
+
     NEXT_TASK_NAME(c1, c2, c3, c4);
-    
+
     task_count++;
   }
@@ -96,5 +96,5 @@
 
   task = 0;
-  
+
   for (block = 1; block < 4; block += 2)
   {
@@ -115,7 +115,7 @@
        * Save the id's to match them against the reallocated ids
        */
-      
+
       removed_ids[task++] = task_id[remove_task];
-      
+
       printf(" TEST2 : block %i remove, signal task %08x, ", block, task_id[remove_task]);
       rtems_event_send(task_id[remove_task], 1);
@@ -136,5 +136,5 @@
       if (!task_id[id_slot])
         break;
-     
+
     if (id_slot == MAX_TASKS)
     {
@@ -145,5 +145,5 @@
 
     printf(" TEST2 : creating task '%c%c%c%c', ", c1, c2, c3, c4);
-    
+
     name = rtems_build_name(c1, c2, c3, c4);
 
@@ -154,5 +154,5 @@
                                RTEMS_LOCAL,
                                &task_id[id_slot]);
-    
+
     if (status_code_bad(result))
     {
@@ -163,11 +163,11 @@
       exit( 1 );
     }
-    
+
     printf("number = %3i, id = %08x, starting, ", task_count, task_id[id_slot]);
-    
+
     result = rtems_task_start(task_id[id_slot],
                               test_task,
                               (rtems_task_argument) task_count);
-    
+
     if (status_code_bad(result))
     {
@@ -178,15 +178,15 @@
       exit( 1 );
     }
-    
+
     /*
      *  Update the name.
      */
-    
+
     NEXT_TASK_NAME(c1, c2, c3, c4);
-    
+
     /*
      *  Search the removed ids to see if it existed, clear the removed id when found
      */
-    
+
     for (remove_task = 0; remove_task < (TASK_ALLOCATION_SIZE * 2); remove_task++)
       if (removed_ids[remove_task] == task_id[id_slot])
@@ -200,9 +200,9 @@
      *  already allocated
      */
-    
+
     if (remove_task == (TASK_ALLOCATION_SIZE * 2))
     {
       uint32_t   allocated_id;
-      
+
       for (allocated_id = 0; allocated_id < MAX_TASKS; allocated_id++)
         if ((task_id[id_slot] == task_id[allocated_id]) && (id_slot != allocated_id))
@@ -213,5 +213,5 @@
           exit( 1 );
         }
-      
+
       printf( " FAIL2 : could not find the task id in the removed table -\n"
               "         task id = %08x\n",
@@ -222,7 +222,7 @@
     task_count++;
   }
-  
+
   destory_all_tasks("TEST2");
-  
+
   printf( " TEST2 : completed\n" );
 }
Index: testsuites/samples/unlimited/test3.c
===================================================================
--- testsuites/samples/unlimited/test3.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/samples/unlimited/test3.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -31,10 +31,10 @@
   uint32_t      block;
   uint32_t      task_count = 0;
-  
+
   char               c1 = 'a';
   char               c2 = 'a';
   char               c3 = '0';
   char               c4 = '0';
-  
+
   printf( "\n TEST3 : free more than 3 x allocation size, but not the same block,\n"
             "         then free a block\n");
@@ -49,9 +49,9 @@
     exit( 1 );
   }
-  
+
    /*
    *  Allocate as many tasks as possible.
    */
-  
+
   while (task_count < MAX_TASKS)
   {
@@ -59,5 +59,5 @@
 
     printf(" TEST3 : creating task '%c%c%c%c', ", c1, c2, c3, c4);
-    
+
     name = rtems_build_name(c1, c2, c3, c4);
 
@@ -71,21 +71,21 @@
     if (status_code_bad(result))
       break;
-    
+
     printf("number = %3i, id = %08x, starting, ", task_count, task_id[task_count]);
     fflush(stdout);
-    
+
     result = rtems_task_start(task_id[task_count],
                               test_task,
                               (rtems_task_argument) task_count);
-    
+
     if (status_code_bad(result))
       break;
-    
+
     /*
      *  Update the name.
      */
-    
+
     NEXT_TASK_NAME(c1, c2, c3, c4);
-    
+
     task_count++;
   }
@@ -128,5 +128,5 @@
    *  allocator's free routine
    */
-   
+
   for (remove_task = (TASK_ALLOCATION_SIZE - TASK_INDEX_OFFSET);
        remove_task < ((TASK_ALLOCATION_SIZE * 2) - - TASK_INDEX_OFFSET);
@@ -140,7 +140,7 @@
     }
   }
-  
+
   destory_all_tasks("TEST3");
-  
+
   printf( " TEST3 : completed\n" );
 }
Index: testsuites/support/include/buffer_test_io.h
===================================================================
--- testsuites/support/include/buffer_test_io.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/support/include/buffer_test_io.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -1,5 +1,5 @@
 /*
  *  Support for running the test output through a buffer
- * 
+ *
  *  $Id$
  */
@@ -28,5 +28,5 @@
 #define printf(...) \
   do { \
-     iprintf( __VA_ARGS__); \ 
+     iprintf( __VA_ARGS__); \
   } while (0)
 #endif
@@ -59,5 +59,5 @@
   do { \
      char _buffer[128]; \
-     sprintf( _buffer, __VA_ARGS__); \ 
+     sprintf( _buffer, __VA_ARGS__); \
      _test_output_append( _buffer ); \
   } while (0)
@@ -67,5 +67,5 @@
   do { \
      char _buffer[128]; \
-     sprintf( _buffer, "%s\n", _string ); \ 
+     sprintf( _buffer, "%s\n", _string ); \
      _test_output_append( _buffer ); \
   } while (0)
@@ -91,5 +91,5 @@
 {
   char *p;
-  
+
   for ( p=_buffer ; *p ; p++ ) {
     _test_output_buffer[_test_output_buffer_index++] = *p;
@@ -102,5 +102,5 @@
     }
 #endif
-    if ( _test_output_buffer_index >= (_TEST_OUTPUT_BUFFER_SIZE - 80) ) 
+    if ( _test_output_buffer_index >= (_TEST_OUTPUT_BUFFER_SIZE - 80) )
       _test_output_flush();
   }
Index: testsuites/support/include/tmacros.h
===================================================================
--- testsuites/support/include/tmacros.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/support/include/tmacros.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -32,5 +32,5 @@
 
 #ifdef TEST_INIT
-#define TEST_EXTERN 
+#define TEST_EXTERN
 #define CONFIGURE_INIT
 #else
@@ -54,5 +54,5 @@
       rtems_test_exit( 1 ); \
     } \
-  } while ( 0 ) 
+  } while ( 0 )
 
 /*
@@ -84,5 +84,5 @@
     check_dispatch_disable_level( _level ); \
     fatal_directive_check_status_only( _stat, _desired, _msg ); \
-  } while ( 0 ) 
+  } while ( 0 )
 
 /*
Index: testsuites/tmitrontests/include/timesys.h
===================================================================
--- testsuites/tmitrontests/include/timesys.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmitrontests/include/timesys.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -20,5 +20,5 @@
  */
 
-#ifndef OPERATION_COUNT 
+#ifndef OPERATION_COUNT
 #define OPERATION_COUNT 100
 #endif
Index: testsuites/tmitrontests/tmitronsem01/init.c
===================================================================
--- testsuites/tmitrontests/tmitronsem01/init.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmitrontests/tmitronsem01/init.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -57,5 +57,5 @@
    */
 
-  Timer_initialize(); 
+  Timer_initialize();
     (void) del_sem( 1 );
   end_time = Read_timer();
@@ -108,6 +108,6 @@
    *  time sig_sem (no waiting tasks)
    */
-  
-  Timer_initialize(); 
+
+  Timer_initialize();
     for ( index = 1 ; index<=OPERATION_COUNT ; index++ )
       (void) sig_sem( 1 );
Index: testsuites/tmtests/tm01/system.h
===================================================================
--- testsuites/tmtests/tm01/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm01/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm02/system.h
===================================================================
--- testsuites/tmtests/tm02/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm02/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm03/system.h
===================================================================
--- testsuites/tmtests/tm03/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm03/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm04/system.h
===================================================================
--- testsuites/tmtests/tm04/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm04/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm05/system.h
===================================================================
--- testsuites/tmtests/tm05/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm05/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              (2 + OPERATION_COUNT)
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm06/system.h
===================================================================
--- testsuites/tmtests/tm06/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm06/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              (2 + OPERATION_COUNT)
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm07/system.h
===================================================================
--- testsuites/tmtests/tm07/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm07/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              (2 + OPERATION_COUNT)
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm08/system.h
===================================================================
--- testsuites/tmtests/tm08/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm08/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              3
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm09/system.h
===================================================================
--- testsuites/tmtests/tm09/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm09/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm10/system.h
===================================================================
--- testsuites/tmtests/tm10/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm10/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm10/task1.c
===================================================================
--- testsuites/tmtests/tm10/task1.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm10/task1.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -119,5 +119,5 @@
 {
   uint32_t   size;
-  
+
   Timer_initialize();
      (void) rtems_message_queue_receive(
@@ -135,5 +135,5 @@
 {
   uint32_t   size;
-  
+
   (void) rtems_message_queue_receive(
            Queue_id,
Index: testsuites/tmtests/tm11/system.h
===================================================================
--- testsuites/tmtests/tm11/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm11/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm11/task1.c
===================================================================
--- testsuites/tmtests/tm11/task1.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm11/task1.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -133,5 +133,5 @@
 {
   uint32_t   size;
-  
+
   (void) rtems_message_queue_receive(
            Queue_id,
Index: testsuites/tmtests/tm12/system.h
===================================================================
--- testsuites/tmtests/tm12/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm12/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm13/system.h
===================================================================
--- testsuites/tmtests/tm13/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm13/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm14/system.h
===================================================================
--- testsuites/tmtests/tm14/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm14/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm15/system.h
===================================================================
--- testsuites/tmtests/tm15/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm15/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              (2 + OPERATION_COUNT)
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm16/system.h
===================================================================
--- testsuites/tmtests/tm16/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm16/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              (3 + OPERATION_COUNT)
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm17/system.h
===================================================================
--- testsuites/tmtests/tm17/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm17/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              (2 + OPERATION_COUNT)
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm18/system.h
===================================================================
--- testsuites/tmtests/tm18/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm18/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              (2 + OPERATION_COUNT)
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm19/system.h
===================================================================
--- testsuites/tmtests/tm19/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm19/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              4
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm20/system.h
===================================================================
--- testsuites/tmtests/tm20/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm20/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -35,5 +35,5 @@
 #define CONFIGURE_MAXIMUM_REGIONS            1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm21/system.h
===================================================================
--- testsuites/tmtests/tm21/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm21/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -40,5 +40,5 @@
 
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm22/system.h
===================================================================
--- testsuites/tmtests/tm22/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm22/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm23/system.h
===================================================================
--- testsuites/tmtests/tm23/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm23/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_TIMERS             OPERATION_COUNT
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm24/system.h
===================================================================
--- testsuites/tmtests/tm24/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm24/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              (2 + OPERATION_COUNT)
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm25/system.h
===================================================================
--- testsuites/tmtests/tm25/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm25/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm26/system.h
===================================================================
--- testsuites/tmtests/tm26/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm26/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_SEMAPHORES         1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm26/task1.c
===================================================================
--- testsuites/tmtests/tm26/task1.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm26/task1.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -198,13 +198,13 @@
     rtems_interrupt_disable( level );
   isr_disable_time = Read_timer();
- 
+
   Timer_initialize();
     rtems_interrupt_flash( level );
   isr_flash_time = Read_timer();
- 
+
   Timer_initialize();
     rtems_interrupt_enable( level );
   isr_enable_time = Read_timer();
- 
+
   Timer_initialize();
     _Thread_Disable_dispatch();
@@ -446,5 +446,5 @@
     0
   );
- 
+
   put_time(
     "_ISR_Enable",
@@ -454,5 +454,5 @@
     0
   );
- 
+
   put_time(
     "_Thread_Disable_dispatch",
Index: testsuites/tmtests/tm27/system.h
===================================================================
--- testsuites/tmtests/tm27/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm27/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              3
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm27/task1.c
===================================================================
--- testsuites/tmtests/tm27/task1.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm27/task1.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -12,5 +12,5 @@
 
 /*
- *  WARNING!!!!!!!!!   
+ *  WARNING!!!!!!!!!
  *
  *  THIS TEST USES INTERNAL RTEMS VARIABLES!!!
@@ -190,5 +190,5 @@
 
 /*
- *  NOTE:  When this task is executing, some of the assumptions made 
+ *  NOTE:  When this task is executing, some of the assumptions made
  *         regarding the placement of the currently executing task's TCB
  *         on the ready chains have been violated.  At least the assumption
@@ -229,7 +229,7 @@
 
   _Thread_Dispatch_disable_level = 0;
- 
+
   _Thread_Heir = (rtems_tcb *) _Thread_Ready_chain[254].first;
- 
+
   _Context_Switch_necessary = 1;
 
Index: testsuites/tmtests/tm28/system.h
===================================================================
--- testsuites/tmtests/tm28/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm28/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_PORTS              1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tm29/system.h
===================================================================
--- testsuites/tmtests/tm29/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tm29/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -33,5 +33,5 @@
 #define CONFIGURE_MAXIMUM_PERIODS            OPERATION_COUNT
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 #define CONFIGURE_INIT_TASK_STACK_SIZE    (RTEMS_MINIMUM_STACK_SIZE * 2)
Index: testsuites/tmtests/tmck/system.h
===================================================================
--- testsuites/tmtests/tmck/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tmck/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,5 +26,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -32,5 +32,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              2
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/tmtests/tmck/task1.c
===================================================================
--- testsuites/tmtests/tmck/task1.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tmck/task1.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -36,5 +36,5 @@
 
   /*
-   *  Tell the Timer Driver what we are doing 
+   *  Tell the Timer Driver what we are doing
    */
 
@@ -153,10 +153,10 @@
     if ( end_time > MAXIMUM_DISTRIBUTION ) {
       /*
-       *  Under UNIX a simple process swap takes longer than we 
+       *  Under UNIX a simple process swap takes longer than we
        *  consider valid for our testing purposes.
        */
       printf( "TOO LONG (%d) at index %d!!!\n", end_time, index );
 #if defined(unix)
-      index--; 
+      index--;
       continue;
 #else
Index: testsuites/tmtests/tmoverhd/system.h
===================================================================
--- testsuites/tmtests/tmoverhd/system.h	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ testsuites/tmtests/tmoverhd/system.h	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -26,17 +26,17 @@
   rtems_id argument
 );
- 
+
 rtems_asr Isr_handler(
   rtems_signal_set signals
 );
- 
+
 rtems_asr Asr_handler(
   rtems_signal_set signals
 );
- 
+
 rtems_task task_func();
- 
+
 void null_func();
- 
+
 rtems_status_code Empty_directive();
 
@@ -44,5 +44,5 @@
 
 /* configuration information */
- 
+
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
@@ -50,5 +50,5 @@
 #define CONFIGURE_MAXIMUM_TASKS              2
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
- 
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: tools/build/binpatch.c
===================================================================
--- tools/build/binpatch.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ tools/build/binpatch.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -14,5 +14,5 @@
 static char buf[512];
 
-static void 
+static void
 usage(void)
 {
@@ -41,6 +41,6 @@
   char  patch[4], *end;
   int   patchLen, tmp, i, off, cnt, patched, len, reloc;
-  
-  
+
+
   /* parse command line options */
   while ((c = getopt(argc, argv, "h")) >= 0)
@@ -94,5 +94,5 @@
       patch[i] = tmp;
     }
-      
+
   ifp = fopen(argv[2], "r");
   if(ifp == NULL)
@@ -138,5 +138,5 @@
 	  patched = 1;
 	}
-	  
+
       fwrite(buf, 1, len, ofp);
 
@@ -146,5 +146,5 @@
   fclose(ifp);
   fclose(ofp);
-  
+
   if(!patched)
     {
Index: tools/build/packhex.c
===================================================================
--- tools/build/packhex.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ tools/build/packhex.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -494,5 +494,5 @@
         length = strlen(inbuff);
         inbuff[length - 1] = '\0';
-        
+
     }
 
Index: tools/build/unhex.c
===================================================================
--- tools/build/unhex.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ tools/build/unhex.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -112,5 +112,5 @@
 #define stol(p) strtol(p, (char **) NULL, 0)
 #endif
- 
+
 int   unhex(FILE *ifp, char *inm, FILE *ofp, char *onm);
 int   convert_Intel_records(FILE *ifp, char *inm, FILE *ofp, char *onm);
Index: tools/cpu/sh/sci.c
===================================================================
--- tools/cpu/sh/sci.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ tools/cpu/sh/sci.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -13,9 +13,9 @@
 /*
    n .. baudrate generator source 0,1,2,3
-   
+
    N .. BRR setting (0..255)
-   
+
    Phi .. processor baud rate
-   
+
    B .. bitrate
  */
@@ -52,18 +52,18 @@
 static sci_tab_t test_array[4] ;
 
-static void Compute( 
-  unsigned int n, 
-  unsigned int B, 
+static void Compute(
+  unsigned int n,
+  unsigned int B,
   double   Phi,
   struct sci_tab *entry )
 {
   int    a = ( 32 << ( 2 * n ) ) * B ;
-  
+
   entry->n = n ;
   entry->B = B ;
   entry->N = rint( ( Phi / a ) - 1.0 ) ;
 
-  if ( ( entry->N > 0 ) && ( entry->N < 256 ) ) 
-    entry->err = 
+  if ( ( entry->N > 0 ) && ( entry->N < 256 ) )
+    entry->err =
       ( ( Phi / ( (entry->N + 1) * a ) - 1.0 ) * 100.0 );
   else
@@ -75,5 +75,5 @@
 }
 
-static sci_tab_t *SelectN( 
+static sci_tab_t *SelectN(
   unsigned int 	B,
   double 	Phi )
@@ -81,9 +81,9 @@
   unsigned int i ;
   struct sci_tab* best = NULL ;
-    
+
   for ( i = 0 ; i < 4 ; i++ )
-  { 
+  {
     double err ;
-    
+
     Compute( i, B, Phi, &test_array[i] );
     err = fabs( test_array[i].err );
@@ -98,5 +98,5 @@
   }
 
-  return best ; 
+  return best ;
 }
 
@@ -107,5 +107,5 @@
   unsigned int i ;
 
-  fprintf( file, 
+  fprintf( file,
     "/*\n * Bitrate table for the serial devices (sci) of the SH at %.3f MHz\n"
     " */\n\n", Phi / 1000000.0 );
@@ -119,5 +119,5 @@
     " */\n\n" );
   fprintf( file, "#include <termios.h>\n\n" );
-  fprintf( file, 
+  fprintf( file,
     "static struct sci_bitrate_t {\n"
     "  unsigned char n ;\n"
@@ -125,5 +125,5 @@
     "} _sci_bitrates[] = {\n"
     "/*  n    N      error */\n" );
-  
+
   for ( i = 0 ; i < sizeof(bitrate)/sizeof(int) ; i++ )
   {
@@ -144,5 +144,5 @@
   fprintf( file, "\n};\n\n" );
 
-  fprintf( file, 
+  fprintf( file,
     "int _sci_get_brparms( \n"
     "  tcflag_t      cflag,\n"
@@ -161,5 +161,5 @@
     "  return 0;\n"
     "}\n" );
-    
+
   return 0 ;
 }
Index: tools/cpu/sh/shgen.c
===================================================================
--- tools/cpu/sh/shgen.c	(revision d3fdf89f66d8ddd95744bc03e681a10d15d0c414)
+++ tools/cpu/sh/shgen.c	(revision 8f71a36f710b6196b4854760785c614910da3ff7)
@@ -45,10 +45,10 @@
 static void shgen_header( FILE *file )
 {
-  fprintf( file, 
+  fprintf( file,
     "/*\n * DO NOT EDIT - this file is automatically generated by shgen %s\n",
     VERSION );
   fprintf( file,
     " * Copyright (c) 1998,1999,2000 Ralf Corsepius (corsepiu@faw.uni-ulm.de)\n */\n" );
-  fprintf( file, 
+  fprintf( file,
     "\n/* This file is not copyrighted */\n\n" );
 }
@@ -58,5 +58,5 @@
   double 	Phi = 20000000.0 ;
 
-#if HAVE_GETOPT_LONG  
+#if HAVE_GETOPT_LONG
   int option_index = 0 ;
   while( ( optopt = getopt_long( argc, argv, "M:K:H:hv",
@@ -69,9 +69,9 @@
     {
     case 'M' :
-      sscanf( optarg, "%lf", &Phi ); 
+      sscanf( optarg, "%lf", &Phi );
       Phi = Phi * 1000000.0;
       break ;
     case 'K' :
-      sscanf( optarg, "%lf", &Phi ); 
+      sscanf( optarg, "%lf", &Phi );
       Phi = Phi * 1000.0;
       break ;
@@ -97,7 +97,7 @@
     exit(1);
   }
-  
+
   shgen_header( stdout );
-      
+
   if ( strcmp( argv[optind], "sci" ) == 0 )
   {
@@ -109,5 +109,5 @@
     exit(1);
   }
-      
+
   return 0 ;
 }
